MenuClose

Blog - API Reference

Select API:

Blog

Blog pages are usually presented as a list udner a primary page. Individual blog pages do not appear on the menu, only in lists. The blog engine also powers FAQ and gallery type pages

End Point URL

https://api.cms-tool.net/webapps/api/blog

API Parameters and Filters

Get Parameters

Name Description Example Datatype
id

If ID is specified, then only a single element is returned if found. Otherwise, an array is returned, even if only one item matches.

id=123 int
keywords Site Search Keywords. These keywords associated to the blog. keywords="hello world" string
title Search the blog by it's title. title="Blog Title" string
tags

Comma separated list of linkable tags, for related content or content of relevance.

tag="Auckland" string
filename

SEO filename of blog, if prefixed with / then is published, otherwise, is dynamic/securable content.

filename="blog.html" string

publicContentOnly

Only show public accessable content

publicContentOnly

=true
boolean
orderBy Sort the orders based on date created, title, date updated.

orderby="created" 

orderby="title"

orderby="updated"

string
orderDirection

Sort results in descending order. Default is ascending order

orderDirection = reverse

For descending order

string

 

Data Dictionary

Key Definition Type Format
info_id
ID
Primary ID of the blog, integer, serial
Integer (Unique ID)
info_title
Blog title
Title of this blog / article
text
cid
Website ID
Website ID links to website
int
info_archivedate
Archive Date
Optional timestamp for when this blog should be archived (hidden)
text
info_authorid
Author ID
Integer ID links to a member record that represents the author of this document. If used, the authors name is public
int
info_blog_comments_on
Toggle Blog Comments
Boolean if comments are to be enabled on this blog
bool
true/false
info_comment_count
Comment count
Integer count of how many comments have been made about this blog
int
info_date
Blog Post Date
The official publish date of this story... Very important for news articles
text
info_duplicationid
Duplication ID
Optional ID linked to another record from which this record was duplicated from
int
info_email
Email for enquiry form
If an email address is specified here, then an enquiry form will be added at the bottom of this blog
text
info_enquiry_config
Enquiry form configuration
Additional configuration information for an enquiry form if enabled.
text
info_enquiryform
Enquiry Form Custom HTML
Optional HTML of a custom formatted enquiry form, to replace the default HTML form.
text
info_expiry
Expiry timestamp
The date of expiry for this blog. After this date, the blog will be deleted
text
info_filename
SEO filename
SEO filename for this blog
text
info_fulltext
Full Blog Text
The full HTML content of the blog / article
text
info_hideuntil
Hide Until
Hide story until this date
text
info_img
Image URI
Image URI pathname usually prefixed /images/
text
info_img_json
Image Meta Data
Meta data about the image, how bit if is, filesize
json
info_leadmagnet_followup
info leadmagnet followup
Lead magnet followup content
text
info_linkrel
Reference Link Rel
Link rel setting for the info_url link
text
info_linktext
Reference Link Text
Link text for the info_url link
text
info_location
Map Address Location
Address in common postal format, eg 1 main st, Hamilton
text
info_metadata
Meta data
LEGACY
text
info_metatitle
Meta title
SEO title for the blog
text
info_object
Object Include
Additional object for a blog, usually this is used for video embed scripts.
text
info_order
Index Position
Integer order for the blogs in a list, from 1 upwards
int
info_show
Blog Live
Single char field, default = Y if the page is visible, or N otherwise
char
info_summary
Summary for list page
A short paragraph summary of the blog
text
info_tags
Tags
A comma separated list of tags or subjects that can be used to cross navigate between related blogs
text
info_timestamp
Last Updated Timestamp
The timestamp when this blog was created or last updated
timestamp
info_url
Reference Link URL
URL for a reference link, eg click the link for more information
text
page
page
Page ID - Link to page data
int

Usage Instructions and Examples

GET a Blog / Info Page

Get a specific blog by blog id (aka info id) 

GET /webapps/api/blog?id=99999

GET /webapps/api/blog/99999

 

SEARCH FOR Blogs

Returns an array of blog/info objects in data

Get all blogs on page 9999 

GET /webapps/api/blog?page=9999

Get blogs matching a LIKE pattern

GET /webapps/api/blog?filename=/section/flying%pigs

GET /webapps/api/blog?keywords=

GET /webapps/api/blog?title=

GET /webapps/api/blog?tags=

INSERT / UPDATE a blog / info page

If an ID is provided, then the blog is updated. If an ID is not provided, then the blog is inserted. 

POST /webapps/api/blog 

submit the JSON data as per following format.

Example JSON to create a new blog

{

    "info_title": "New Blog",

    "info_summary": "Hello World",

    "info_fulltext": "<p>Hello world</p>",

"page": 123123

Example JSON to update a blog

{

  "id": 123123,

    "info_title": "Updated Blog Title",

    "info_summary": "Hello World Updated",

Sample Object


{
"info_title":"Blog",
"info_timestamp":"2020-12-07 04:39:25.0",
"info_show":"Y",
"info_blog_comments_on":"f",
"info_category2":0,
"info_category1":0,
"site_search_keywords_updated":"2021-03-29 09:42:37.26478",
"site_search_keywords":"^hello ^blog ^awesome",
"info_blogcnt":0,
"info_authorid":0,
"info_category3":0,
"info_re":0,
"info_summary":"Hello NZ",
"info_groupid":0,
"info_id":1234,
"id":12345,
"page":111,
"info_order":1,
"info_date":"2020-12-07",
"info_fulltext":"&lt;p&gt;Hello NZ!&lt;\/p&gt;",
"cid":1111
}

API End Points

Content

Blog pages are usually presented as a list udner a primary page. Individual blog pages do not appear on the menu, only in lists. The blog engine also powers FAQ and gallery type pages
A website is made up of the primary navigational pages that create the primary menu, as well as hidden pages and member only pages. Pages can contain pages in a treelike structure, however, this excludes sub pages which are defined as blogs or products

Ecommerce

Categories are used to group products. Products can belong in up to 8 categories. Categories can also form a tree, with Category parent ID = 0 being the parent level category. The term group is synomous with category, so many elements are prefixed with the word group.
Each product line of an order can be discounted, so an order can have multiple discounts, but only one per product.
The available payment methods at checkout. An order can only have 1 payment method, but the admin can change the payment method, and take part payments.
A saleable item, or variant of a parent product.
Invoices, orders, baskets and quotes are all represented by this object, and differentiated by status.
The courier or freight fee rules available for checkout. Each order can only have rule applied

Members

Bulk emails represent a newsletter that will be sent to a bulk audience via a mailing list. Alternatively, a bulk email is a sequence within a campaign.
A message is created for every contact us, enquiry form, or custom form.
Group members/customers, each member can belong to unlimited groups. Groups can contain groups
System security levels. Default level is 100 for general users.
Members or customers or users are the same thing. These are anyone who has purchased, enquired, or who has permission to login, or receive newsletters. This excludes administrative users.
A blog comment or product review uses the same engine. Each record may have a rating, as well as an optional comment, and is linked to an object and the person who posted it

Other

Bookings are for appointments, seats, hire items, etc. Not for events.
Use the Event Attendee endpoint to get your event attendee information on your site.
Events have a start/end date and additional information, they might be bookable, or just for informational purposes

Reference

A list of countries, and some meta data
Generic categories are those that relate to open source categorisations of products for SEO purposes